libzypp: zypp::OnMediaLocation Class Reference

libzypp 17.36.6

Classes | Public Member Functions | Private Attributes | Friends | Related Symbols | List of all members
zypp::OnMediaLocation Class Reference

Describes a resource file located on a medium. More...

`#include <zypp-core/onmedialocation.h>`

## Classes
class | Impl
| OnMediaLocation implementation. More...

## Public Member Functions
| OnMediaLocation ()
| Default Ctor indicating no media access.
| OnMediaLocation (Pathname filename_r, unsigned medianr_r=1)
| Ctor taking a filename_r and medianr_r (defaults to `1`).
| ~OnMediaLocation ()
| Dtor.
const Pathname & | filename () const
| The path to the resource on the medium.
unsigned | medianr () const
| The media number the resource is located on.
OnMediaLocation & | setLocation (Pathname filename_r, unsigned medianr_r=1)
| Set filename_r and medianr_r (defaults to `1`).
OnMediaLocation & | unsetLocation ()
| Unset `filename` and set `medianr` to `0`.
OnMediaLocation & | changeFilename (Pathname filename_r)
| Individual manipulation of `filename` (prefer setLocation).
OnMediaLocation & | changeMedianr (unsigned medianr_r)
| Individual manipulation of `medianr` (prefer setLocation).
OnMediaLocation & | prependPath (const Pathname &prefix_r)
| Prepend the filename with prefix_r.
bool | optional () const
| Whether this is an optional resource.
OnMediaLocation & | setOptional (bool val)
| Set whether the resource is optional.
const ByteCount & | downloadSize () const
| The size of the resource on the server.
OnMediaLocation & | setDownloadSize (ByteCount val_r)
| Set the downloadSize.
const CheckSum & | checksum () const
| The checksum of the resource on the server.
OnMediaLocation & | setChecksum (CheckSum val_r)
| Set the checksum.
const ByteCount & | openSize () const
| The size of the resource once it has been uncompressed or unpacked.
OnMediaLocation & | setOpenSize (ByteCount val_r)
| Set the openSize.
const CheckSum & | openChecksum () const
| The checksum of the resource once it has been uncompressed or unpacked.
OnMediaLocation & | setOpenChecksum (CheckSum val_r)
| Set the openChecksum.
const ByteCount & | headerSize () const
| The size of the header prepending the resource (e.g.
OnMediaLocation & | setHeaderSize (ByteCount val_r)
| Set the headerSize.
const CheckSum & | headerChecksum () const
| The checksum of the header prepending the resource (e.g.
OnMediaLocation & | setHeaderChecksum (CheckSum val_r)
| Set the headerChecksum.
const Pathname & | deltafile () const
| The existing deltafile that can be used to reduce download size ( zchunk or metalink )
OnMediaLocation & | setDeltafile (Pathname path)
| Set the deltafile.

## Private Attributes
RWCOW_pointer< Impl > | _pimpl
| Implementation class.

## Friends
std::ostream & | operator<< (std::ostream &str, const OnMediaLocation &obj)
std::ostream & | dumpOn (std::ostream &str, const OnMediaLocation &obj)

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const OnMediaLocation::Impl &obj)
| Stream output.
std::ostream & | dumpOn (std::ostream &str, const OnMediaLocation::Impl &obj)
| Verbose stream output.
std::ostream & | operator<< (std::ostream &str, const OnMediaLocation &obj)
| Stream output.
std::ostream & | dumOn (std::ostream &str, const OnMediaLocation &obj)
| Verbose stream output.

## Detailed Description

Describes a resource file located on a medium.

Holds the path of a resource on a medium and contains additional info required to retrieve and verify it (like media number, checksum, size,...)

It does not specify the Url of the medium itself.

Media number `0` usually indicates no media access.

Definition at line 36 of file onmedialocation.h.

## Constructor & Destructor Documentation

## ◆ OnMediaLocation() [1/2]

zypp::OnMediaLocation::OnMediaLocation | ( |  | ) |

Default Ctor indicating no media access.

Definition at line 76 of file onmedialocation.cc.

## ◆ OnMediaLocation() [2/2]

zypp::OnMediaLocation::OnMediaLocation | ( | Pathname | filename_r,
|  | unsigned | medianr_r = 1 )

Ctor taking a filename_r and medianr_r (defaults to `1`).

Definition at line 80 of file onmedialocation.cc.

## ◆ ~OnMediaLocation()

zypp::OnMediaLocation::~OnMediaLocation | ( |  | ) |

Dtor.

Definition at line 84 of file onmedialocation.cc.

## Member Function Documentation

## ◆ filename()

const Pathname & zypp::OnMediaLocation::filename | ( |  | ) | const

The path to the resource on the medium.

Definition at line 88 of file onmedialocation.cc.

## ◆ medianr()

unsigned zypp::OnMediaLocation::medianr | ( |  | ) | const

The media number the resource is located on.

Definition at line 91 of file onmedialocation.cc.

## ◆ setLocation()

OnMediaLocation & zypp::OnMediaLocation::setLocation | ( | Pathname | filename_r,
|  | unsigned | medianr_r = 1 )

Set filename_r and medianr_r (defaults to `1`).

Definition at line 94 of file onmedialocation.cc.

## ◆ unsetLocation()

OnMediaLocation & zypp::OnMediaLocation::unsetLocation | ( |  | ) |

Unset `filename` and set `medianr` to `0`.

Definition at line 97 of file onmedialocation.cc.

## ◆ changeFilename()

OnMediaLocation & zypp::OnMediaLocation::changeFilename | ( | Pathname | filename_r | ) |

Individual manipulation of `filename` (prefer setLocation).

Definition at line 100 of file onmedialocation.cc.

## ◆ changeMedianr()

OnMediaLocation & zypp::OnMediaLocation::changeMedianr | ( | unsigned | medianr_r | ) |

Individual manipulation of `medianr` (prefer setLocation).

Definition at line 103 of file onmedialocation.cc.

## ◆ prependPath()

OnMediaLocation & zypp::OnMediaLocation::prependPath | ( | const Pathname & | prefix_r | ) |

Prepend the filename with prefix_r.

Definition at line 106 of file onmedialocation.cc.

## ◆ optional()

bool zypp::OnMediaLocation::optional | ( |  | ) | const

Whether this is an optional resource.

This is a hint to the downloader not to report an error if the resource is not present on the server.

Definition at line 109 of file onmedialocation.cc.

## ◆ setOptional()

OnMediaLocation & zypp::OnMediaLocation::setOptional | ( | bool | val | ) |

Set whether the resource is optional.

Definition at line 112 of file onmedialocation.cc.

## ◆ downloadSize()

const ByteCount & zypp::OnMediaLocation::downloadSize | ( |  | ) | const

The size of the resource on the server.

Definition at line 115 of file onmedialocation.cc.

## ◆ setDownloadSize()

OnMediaLocation & zypp::OnMediaLocation::setDownloadSize | ( | ByteCount | val_r | ) |

Set the downloadSize.

Definition at line 118 of file onmedialocation.cc.

## ◆ checksum()

const CheckSum & zypp::OnMediaLocation::checksum | ( |  | ) | const

The checksum of the resource on the server.

Definition at line 121 of file onmedialocation.cc.

## ◆ setChecksum()

OnMediaLocation & zypp::OnMediaLocation::setChecksum | ( | CheckSum | val_r | ) |

Set the checksum.

Definition at line 124 of file onmedialocation.cc.

## ◆ openSize()

const ByteCount & zypp::OnMediaLocation::openSize | ( |  | ) | const

The size of the resource once it has been uncompressed or unpacked.

Definition at line 127 of file onmedialocation.cc.

## ◆ setOpenSize()

OnMediaLocation & zypp::OnMediaLocation::setOpenSize | ( | ByteCount | val_r | ) |

Set the openSize.

Definition at line 130 of file onmedialocation.cc.

## ◆ openChecksum()

const CheckSum & zypp::OnMediaLocation::openChecksum | ( |  | ) | const

The checksum of the resource once it has been uncompressed or unpacked.

Definition at line 133 of file onmedialocation.cc.

## ◆ setOpenChecksum()

OnMediaLocation & zypp::OnMediaLocation::setOpenChecksum | ( | CheckSum | val_r | ) |

Set the openChecksum.

Definition at line 136 of file onmedialocation.cc.

## ◆ headerSize()

const ByteCount & zypp::OnMediaLocation::headerSize | ( |  | ) | const

The size of the header prepending the resource (e.g.

for zchunk).

Definition at line 139 of file onmedialocation.cc.

## ◆ setHeaderSize()

OnMediaLocation & zypp::OnMediaLocation::setHeaderSize | ( | ByteCount | val_r | ) |

Set the headerSize.

Definition at line 142 of file onmedialocation.cc.

## ◆ headerChecksum()

const CheckSum & zypp::OnMediaLocation::headerChecksum | ( |  | ) | const

The checksum of the header prepending the resource (e.g.

for zchunk).

Definition at line 145 of file onmedialocation.cc.

## ◆ setHeaderChecksum()

OnMediaLocation & zypp::OnMediaLocation::setHeaderChecksum | ( | CheckSum | val_r | ) |

Set the headerChecksum.

Definition at line 148 of file onmedialocation.cc.

## ◆ deltafile()

const Pathname & zypp::OnMediaLocation::deltafile | ( |  | ) | const

The existing deltafile that can be used to reduce download size ( zchunk or metalink )

Definition at line 151 of file onmedialocation.cc.

## ◆ setDeltafile()

OnMediaLocation & zypp::OnMediaLocation::setDeltafile | ( | Pathname | path | ) |

Set the deltafile.

Definition at line 154 of file onmedialocation.cc.

## Friends And Related Symbol Documentation

## ◆ operator<< [1/3]

std::ostream & operator<< | ( | std::ostream & | str,
|  | const OnMediaLocation & | obj )
| friend

Definition at line 157 of file onmedialocation.cc.

## ◆ dumpOn [1/2]

std::ostream & dumpOn | ( | std::ostream & | str,
|  | const OnMediaLocation & | obj )
| friend

Definition at line 160 of file onmedialocation.cc.

## ◆ operator<<() [2/3]

std::ostream & operator<< | ( | std::ostream & | str,
|  | const OnMediaLocation & | obj )
| related

Stream output.

Definition at line 157 of file onmedialocation.cc.

## ◆ dumOn()

std::ostream & dumOn | ( | std::ostream & | str,
|  | const OnMediaLocation & | obj )
| related

Verbose stream output.

## Member Data Documentation

## ◆ _pimpl

RWCOW_pointer<Impl> zypp::OnMediaLocation::_pimpl
| private

Implementation class.

Pointer to implementation.

Definition at line 126 of file onmedialocation.h.

The documentation for this class was generated from the following files:

- zypp-core/onmedialocation.h
- zypp-core/onmedialocation.cc